# class KDateValidator

###

Module | kdeui
Namespace |
Class | KDateValidator
Inherits | QValidator

### methods

- KDateValidator (parent)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  parent | QWidget | 0

- date (text, date)

  returns QValidator.State

  Argument | Type | Default
  --- | --- | ---
  text | QString |
  date | QDate |

- fixup (input)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  input | QString |

- validate (text, e)

  returns QValidator.State

  Argument | Type | Default
  --- | --- | ---
  text | QString |
  e | int |